[SCM] ffmpeg/master: Let the encdec test print the command before executing it
aca-guest at users.alioth.debian.org
aca-guest at users.alioth.debian.org
Tue Oct 11 19:51:37 UTC 2016
The following commit has been merged in the master branch:
commit 4c9b7a80145f843707e773ad253a8354d114bfc1
Author: Andreas Cadhalpun <Andreas.Cadhalpun at googlemail.com>
Date: Tue Oct 11 20:59:25 2016 +0200
Let the encdec test print the command before executing it
diff --git a/debian/tests/encdec b/debian/tests/encdec
index d279613..61b9fab 100755
--- a/debian/tests/encdec
+++ b/debian/tests/encdec
@@ -62,7 +62,9 @@ encode_file() {
fi
echo -e "trying muxer '$mux' with '$type' encoder '$encoder' for codec '$codec'\n"
ret=0
- ffmpeg -f lavfi -i $src -strict -2 $opts -c:$type "$encoder" -f "$mux" "$file_name" -y -hide_banner 2>&1 || ret=$?
+ CMD="ffmpeg -f lavfi -i $src -strict -2 $opts -c:$type $encoder -f $mux $file_name -y -hide_banner"
+ echo $CMD
+ $CMD 2>&1 || ret=$?
return $ret
}
@@ -117,7 +119,9 @@ decode_file() {
file_name=$1
ret=0
# The option '-t 1' is necessary, because the comfortnoise decoder never stops producing noise.
- ffmpeg -strict -2 -i "$file_name" -t 1 -c:v rawvideo -c:a pcm_s32le -f nut /dev/null -y -hide_banner 2>&1 || ret=$?
+ CMD="ffmpeg -strict -2 -i $file_name -t 1 -c:v rawvideo -c:a pcm_s32le -f nut /dev/null -y -hide_banner"
+ echo $CMD
+ $CMD 2>&1 || ret=$?
return $ret
}
--
ffmpeg packaging
More information about the pkg-multimedia-commits
mailing list